yi-mode-haskell-0.19.1: Yi editor haskell mode

Safe Haskell | None
Language | Haskell2010

Yi.Lexer.LiterateHaskell

Synopsis

- initState :: HlState
- alexScanToken :: (AlexState HlState, AlexInput) -> Maybe (Tok Token, (AlexState HlState, AlexInput))
- data HlState

# Documentation

initState :: HlState Source #

alexScanToken :: (AlexState HlState, AlexInput) -> Maybe (Tok Token, (AlexState HlState, AlexInput)) Source #

Scan one token. Return (maybe) a token and a new state.

data HlState Source #

#### Instances

Instances details

Show HlState Source # |
Instance details Defined in Yi.Lexer.LiterateHaskell Methods showsPrec :: Int -> HlState -> ShowS Source # show :: HlState -> String Source # showList :: [HlState] -> ShowS Source #
Eq HlState Source # |
Instance details Defined in Yi.Lexer.LiterateHaskell Methods (==) :: HlState -> HlState -> Bool Source # (/=) :: HlState -> HlState -> Bool Source #